// Transform.h 
//////////////////////////////////////////////////////////////////////

#if !defined TRANSFORM_H
#define TRANSFORM_H

#include "SceneObject.h"
#include "Matrix.h"

class Transform : public SceneObject
{
private:
    Matrix matrix;

public:
	Transform(Matrix);
	virtual ~Transform();
 
    virtual void setMatrix(Matrix m) { matrix = m; }

	virtual RTTI_OBJECT_TYPE getType() const { return RTTI_TRANSFORM; }

	// Force every child to have a render and update methods
	virtual void render(float timeElapsed);
	virtual void postRender(float timeElapsed);
	virtual void update(float timeElapsed);

};

#endif // TRANSFORM_H
